Bug Hunting Session
Bug 117659 - Font looks ugly at chart when rotated - only with OpenGL
Summary: Font looks ugly at chart when rotated - only with OpenGL
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering OpenGL
  Show dependency treegraph
 
Reported: 2018-05-17 09:03 UTC by marcin_mail2005
Modified: 2019-09-16 10:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Version, ID and sample of font (80.20 KB, image/png)
2018-05-22 14:10 UTC, marcin_mail2005
Details

Note You need to log in before you can comment on or make changes to this bug.
Description marcin_mail2005 2018-05-17 09:03:39 UTC
Description:
When I create chart, especially with plenty of data, X-axis (but Y-axix probably, too) font look ugly, when rotated (rotated = everything else than 0 degree).
Probably font is not being smoothed, it's pixellated only.

Steps to Reproduce:
1.Open up the Calc
2.Create table with data
3.Create chart
4.If X-axis labels are not present = add X-axis labels.
5.Rotate x-axis labels
6.See pixellization.

Actual Results:  
Pixellization present makes chart labels unreadable in most cases (when there's plenty of data, for example).

Expected Results:
Add smoothing function (add standard TTF font usage).


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
It's not just cometical bug, because if X-axis labels is date, so it's impossible to know the timeline, for example.


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:60.0) Gecko/20100101 Firefox/60.0
Comment 1 Roman Kuznetsov 2018-05-20 06:24:29 UTC
please add info from Help - About, like version, ID, etc.
Comment 2 Adolfo Jayme 2018-05-21 18:56:46 UTC
A screenshot is also helpful when reporting rendering issues.
Comment 3 marcin_mail2005 2018-05-22 14:10:44 UTC
Created attachment 142239 [details]
Version, ID and sample of font
Comment 4 Matthias 2018-05-24 13:54:02 UTC
Reproducable with LibreOffice 6.0.4 (Windows 10)- OpenGL enabled
No problem with OpenGL disabled.
Comment 5 QA Administrators 2019-05-25 02:56:23 UTC
Dear marcin_mail2005,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug
Comment 6 Timur 2019-09-16 10:39:45 UTC
Thank you for submitting bug with repro steps. But please attach a sample document with chart. Preferably you may include text or image in that document to indicate what's not as expected. Please understand that we review and check a large number of bugs, so that's easier for us.